Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 775791

Summary: net-libs/webkit-gtk-2.32.3 - ~ppc keywording request
Product: Gentoo Linux Reporter: ernsteiswuerfel <erhard_f>
Component: KeywordingAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: sam
Priority: Normal Keywords: CC-ARCHES, KEYWORDREQ
Version: unspecifiedFlags: nattka: sanity-check+
Hardware: PPC   
OS: Linux   
Whiteboard:
Package list:
>=net-libs/webkit-gtk-2.32.3 ~ppc >=gui-libs/libwpe-1.10.0 ~ppc >=gui-libs/wpebackend-fdo-1.10.0 ~ppc >=dev-libs/libmanette-0.2.6 ~ppc
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 670372, 769374, 802675    
Attachments:
Description Flags
build.log.xz (2.30.5, ppc)
none
emerge --info
none
use-ld_bfd.patch
none
fix-musl-javascriptcore.patch
none
le-check.patch
none
ppc-llint.patch
none
be-typedarray.patch
none
build.log.xz (2.30.6, ppc)
none
libwpe build.log (1.10.0, ppc)
none
wpebackend-fdo build.log (1.10.0, ppc)
none
libmanette build.log (0.2.6, ppc)
none
be-typedarray.patch
none
le-check.patch
none
be32-jsc-fix.patch
none
emerge --info
none
build.log.xz (2.32.1, ppc)
none
wpebackend-fdo build.log (1.8.4, ppc)
none
libwpe build.log (1.10.0, ppc)
none
libmanette build.log (0.2.6, ppc)
none
emerge --info none

Description ernsteiswuerfel archtester 2021-03-13 11:15:55 UTC
Created attachment 691155 [details]
build.log.xz (2.30.5, ppc)

It looks like the gold linker has it's problems on ppc and it gets enabled by default if availiabe by the Makefile.

When using the ld.bfd linker and some patches from Void Linux (https://github.com/void-ppc/void-packages/tree/master/srcpkgs/webkit2gtk/patches) webkit-gtk-2.30.5 builds and runs fine again on ppc.

There are 2 other patches which I did not include here, but may be interesting too: x86-no-sse2.patch, fix_armv6l.patch. I did not include bwrap-libdir32.patch as it seems not necessary for Gentoo and fix-eglmesaext_h.patch which is already included in Gentoo patches.

Probably the patches are helpful for other BE arches too but I besides ppc I have none to test it.
Comment 1 ernsteiswuerfel archtester 2021-03-13 11:16:23 UTC
Created attachment 691158 [details]
emerge --info
Comment 2 NATTkA bot gentoo-dev 2021-03-13 11:16:58 UTC Comment hidden (obsolete)
Comment 3 ernsteiswuerfel archtester 2021-03-13 11:18:37 UTC
Created attachment 691161 [details, diff]
use-ld_bfd.patch
Comment 4 ernsteiswuerfel archtester 2021-03-13 11:19:16 UTC
Created attachment 691164 [details, diff]
fix-musl-javascriptcore.patch
Comment 5 ernsteiswuerfel archtester 2021-03-13 11:19:42 UTC
Created attachment 691167 [details, diff]
le-check.patch
Comment 6 ernsteiswuerfel archtester 2021-03-13 11:19:58 UTC
Created attachment 691170 [details, diff]
ppc-llint.patch
Comment 7 ernsteiswuerfel archtester 2021-03-13 11:20:30 UTC
Created attachment 691173 [details, diff]
be-typedarray.patch
Comment 8 NATTkA bot gentoo-dev 2021-03-13 11:32:55 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2021-04-01 18:56:34 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2021-04-01 20:09:12 UTC Comment hidden (obsolete)
Comment 11 NATTkA bot gentoo-dev 2021-04-01 21:53:04 UTC Comment hidden (obsolete)
Comment 12 NATTkA bot gentoo-dev 2021-04-16 13:57:00 UTC Comment hidden (obsolete)
Comment 13 NATTkA bot gentoo-dev 2021-04-16 14:00:26 UTC Comment hidden (obsolete)
Comment 14 ernsteiswuerfel archtester 2021-04-28 11:05:12 UTC
Created attachment 703200 [details]
build.log.xz (2.30.6, ppc)

Patches work fine for 2.30.6 too.
Comment 15 ernsteiswuerfel archtester 2021-04-28 11:05:57 UTC
Created attachment 703203 [details]
libwpe build.log (1.10.0, ppc)
Comment 16 ernsteiswuerfel archtester 2021-04-28 11:06:28 UTC
Created attachment 703206 [details]
wpebackend-fdo build.log (1.10.0, ppc)
Comment 17 ernsteiswuerfel archtester 2021-04-28 11:06:56 UTC
Created attachment 703209 [details]
libmanette build.log (0.2.6, ppc)
Comment 18 ernsteiswuerfel archtester 2021-05-31 23:35:45 UTC
Created attachment 712938 [details, diff]
be-typedarray.patch
Comment 19 ernsteiswuerfel archtester 2021-05-31 23:36:31 UTC
Created attachment 712941 [details, diff]
le-check.patch
Comment 20 ernsteiswuerfel archtester 2021-05-31 23:37:34 UTC
Created attachment 712944 [details, diff]
be32-jsc-fix.patch
Comment 21 ernsteiswuerfel archtester 2021-05-31 23:38:22 UTC
Created attachment 712947 [details]
emerge --info
Comment 22 ernsteiswuerfel archtester 2021-05-31 23:45:14 UTC
Created attachment 712950 [details]
build.log.xz (2.32.1, ppc)

2.32.1 only needs 3 patches to build & properly run on ppc. Patches taken again from Void Linux. There's also a good chance these patches will land upstream in due time as Voids' q66 (Daniel Kolesa) is also WebKit-dev.
Comment 23 ernsteiswuerfel archtester 2021-05-31 23:47:18 UTC
Created attachment 712953 [details]
wpebackend-fdo build.log (1.8.4, ppc)
Comment 24 ernsteiswuerfel archtester 2021-05-31 23:47:56 UTC
Created attachment 712956 [details]
libwpe build.log (1.10.0, ppc)
Comment 25 ernsteiswuerfel archtester 2021-05-31 23:48:24 UTC
Created attachment 712959 [details]
libmanette build.log (0.2.6, ppc)
Comment 26 ernsteiswuerfel archtester 2021-07-31 01:29:19 UTC
Created attachment 728484 [details]
emerge --info

Looking good on ppc.

Only 2 patches needed now, one has gone upstream.

 # cat webkit-gtk-775791.report 
USE tests started on Fr 30. Jul 14:14:15 CEST 2021

FEATURES=' test' USE='' succeeded for =net-libs/webkit-gtk-2.32.3
USE='X egl -examples gamepad -geolocation gles2-only -gnome-keyring -gstreamer gtk-doc introspection jpeg2k -jumbo-build -libnotify -opengl -spell -systemd -wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='X -egl -examples gamepad -geolocation -gles2-only gnome-keyring gstreamer gtk-doc introspection -jpeg2k jumbo-build -libnotify -opengl spell -systemd -wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='X egl -examples -gamepad geolocation -gles2-only -gnome-keyring gstreamer gtk-doc introspection -jpeg2k -jumbo-build libnotify opengl -spell systemd -wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='X egl examples gamepad geolocation -gles2-only gnome-keyring -gstreamer -gtk-doc introspection -jpeg2k jumbo-build libnotify opengl -spell systemd -wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='X egl examples gamepad geolocation -gles2-only -gnome-keyring gstreamer -gtk-doc introspection -jpeg2k jumbo-build -libnotify -opengl spell systemd -wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='-X egl -examples -gamepad geolocation gles2-only -gnome-keyring -gstreamer -gtk-doc -introspection -jpeg2k -jumbo-build -libnotify -opengl -spell -systemd wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='-X egl examples gamepad -geolocation -gles2-only -gnome-keyring gstreamer -gtk-doc introspection jpeg2k -jumbo-build -libnotify opengl -spell -systemd wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='X egl examples -gamepad -geolocation -gles2-only -gnome-keyring -gstreamer -gtk-doc -introspection jpeg2k jumbo-build libnotify -opengl spell -systemd wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='-X egl -examples gamepad -geolocation gles2-only gnome-keyring gstreamer gtk-doc -introspection jpeg2k -jumbo-build -libnotify -opengl -spell systemd wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='-X egl -examples gamepad geolocation gles2-only gnome-keyring gstreamer gtk-doc introspection -jpeg2k jumbo-build -libnotify -opengl -spell systemd wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='X egl -examples gamepad -geolocation -gles2-only -gnome-keyring -gstreamer -gtk-doc introspection -jpeg2k -jumbo-build libnotify -opengl -spell systemd wayland' succeeded for =net-libs/webkit-gtk-2.32.3
USE='-X egl examples gamepad geolocation gles2-only gnome-keyring gstreamer gtk-doc introspection -jpeg2k -jumbo-build -libnotify -opengl spell systemd wayland' succeeded for =net-libs/webkit-gtk-2.32.3

FEATURES=' test' USE='' succeeded for =gui-libs/libwpe-1.10.1
USE='' succeeded for =gui-libs/libwpe-1.10.1

FEATURES=' test' USE='' succeeded for =gui-libs/wpebackend-fdo-1.10.0
USE='' succeeded for =gui-libs/wpebackend-fdo-1.10.0

FEATURES=' test' USE='' succeeded for =dev-libs/libmanette-0.2.6
USE='-gtk-doc -introspection -udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='gtk-doc -introspection -udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='-gtk-doc introspection -udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='gtk-doc introspection -udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='-gtk-doc -introspection udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='gtk-doc -introspection udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='-gtk-doc introspection udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='gtk-doc introspection udev -vala' succeeded for =dev-libs/libmanette-0.2.6
USE='-gtk-doc introspection -udev vala' succeeded for =dev-libs/libmanette-0.2.6
USE='gtk-doc introspection -udev vala' succeeded for =dev-libs/libmanette-0.2.6
USE='-gtk-doc introspection udev vala' succeeded for =dev-libs/libmanette-0.2.6
USE='gtk-doc introspection udev vala' succeeded for =dev-libs/libmanette-0.2.6
Comment 27 Sam James archtester gentoo-dev Security 2021-07-31 01:37:07 UTC Comment hidden (obsolete)
Comment 28 Sam James archtester gentoo-dev Security 2021-07-31 01:40:50 UTC
(sorry, I misread).

Which patch do we still need? How is the breakage without it?
Comment 29 ernsteiswuerfel archtester 2021-08-02 00:17:43 UTC
(In reply to Sam James from comment #28)
> Which patch do we still need? How is the breakage without it?
Just finished re-running tatt tests, without patches now. It passes equally well. Also runtime performance is ok, I didn't get any crashes on the pages I tried with Epiphany. So IMHO ~ppc keywording is on the safe side.

Withouth the patches some pages (e.g. maps.google.com) show wrong colours. With patches applied colours are correct on these pages.
Comment 30 Sam James archtester gentoo-dev Security 2021-08-02 00:43:22 UTC
ppc done

all arches done